Package org.drinkless.tdlib

# Class TdApi.InputMessagePhoto

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputMessageContent
org.drinkless.tdlib.TdApi.InputMessagePhoto

Enclosing class:
  `TdApi`

public static class TdApi.InputMessagePhoto extends TdApi.InputMessageContent
A photo message.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputMessageContent

  `TdApi.InputMessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int[]`
  `addedStickerFileIds`
  File identifiers of the stickers added to the photo, if applicable.
  `TdApi.FormattedText`
  `caption`
  Photo caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `hasSpoiler`
  True, if the photo preview must be covered by a spoiler animation; not supported in secret chats.
  `int`
  `height`
  Photo height.
  `TdApi.InputFile`
  `photo`
  Photo to send.
  `TdApi.MessageSelfDestructType`
  `selfDestructType`
  Photo self-destruct type; pass null if none; private chats only.
  `boolean`
  `showCaptionAboveMedia`
  True, if the caption must be shown above the photo; otherwise, the caption must be shown below the photo; not supported in secret chats.
  `TdApi.InputThumbnail`
  `thumbnail`
  Photo thumbnail to be sent; pass null to skip thumbnail uploading.
  `TdApi.InputFile`
  `video`
  Video of the live photo; not supported in secret chats; pass null if the photo isn't a live photo.
  `int`
  `width`
  Photo width.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputMessagePhoto()`
  A photo message.
  `InputMessagePhoto(TdApi.InputFile photo, TdApi.InputThumbnail thumbnail, TdApi.InputFile video, int[] addedStickerFileIds, int width, int height, TdApi.FormattedText caption, boolean showCaptionAboveMedia, TdApi.MessageSelfDestructType selfDestructType, boolean hasSpoiler)`
  A photo message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### photo

    public TdApi.InputFile photo
    Photo to send. The photo must be at most 10 MB in size. The photo's width and height must not exceed 10000 in total. Width and height ratio must be at most 20.

  - ### thumbnail

    public TdApi.InputThumbnail thumbnail
    Photo thumbnail to be sent; pass null to skip thumbnail uploading. The thumbnail is sent to the other party only in secret chats.

  - ### video

    public TdApi.InputFile video
    Video of the live photo; not supported in secret chats; pass null if the photo isn't a live photo.

  - ### addedStickerFileIds

    public int[] addedStickerFileIds
    File identifiers of the stickers added to the photo, if applicable.

  - ### width

    public int width
    Photo width.

  - ### height

    public int height
    Photo height.

  - ### caption

    public TdApi.FormattedText caption
    Photo caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.

  - ### showCaptionAboveMedia

    public boolean showCaptionAboveMedia
    True, if the caption must be shown above the photo; otherwise, the caption must be shown below the photo; not supported in secret chats.

  - ### selfDestructType

    public TdApi.MessageSelfDestructType selfDestructType
    Photo self-destruct type; pass null if none; private chats only.

  - ### hasSpoiler

    public boolean hasSpoiler
    True, if the photo preview must be covered by a spoiler animation; not supported in secret chats.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputMessagePhoto

    public InputMessagePhoto()
    A photo message.

  - ### InputMessagePhoto

    public InputMessagePhoto(TdApi.InputFile photo, TdApi.InputThumbnail thumbnail, TdApi.InputFile video, int[] addedStickerFileIds, int width, int height, TdApi.FormattedText caption, boolean showCaptionAboveMedia, TdApi.MessageSelfDestructType selfDestructType, boolean hasSpoiler)
    A photo message.
    Parameters:
      `photo` - Photo to send. The photo must be at most 10 MB in size. The photo's width and height must not exceed 10000 in total. Width and height ratio must be at most 20.
      `thumbnail` - Photo thumbnail to be sent; pass null to skip thumbnail uploading. The thumbnail is sent to the other party only in secret chats.
      `video` - Video of the live photo; not supported in secret chats; pass null if the photo isn't a live photo.
      `addedStickerFileIds` - File identifiers of the stickers added to the photo, if applicable.
      `width` - Photo width.
      `height` - Photo height.
      `caption` - Photo caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
      `showCaptionAboveMedia` - True, if the caption must be shown above the photo; otherwise, the caption must be shown below the photo; not supported in secret chats.
      `selfDestructType` - Photo self-destruct type; pass null if none; private chats only.
      `hasSpoiler` - True, if the photo preview must be covered by a spoiler animation; not supported in secret chats.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputMessageContent`
    Returns:
      this.CONSTRUCTOR